Index: trunk/SophyaLib/BaseTools/Makefile
===================================================================
--- trunk/SophyaLib/BaseTools/Makefile	(revision 2702)
+++ trunk/SophyaLib/BaseTools/Makefile	(revision 2703)
@@ -35,6 +35,7 @@
   pexceptions.h
 $(OBJ)ppftpointerio.o: ppftpointerio.cc \
-  $(INC)machdefs.h ppftpointerio.h ppersist.h \
-  pexceptions.h gnumd5.h ppfbinstream.h rawstream.h ppfnametag.h
+  $(INC)machdefs.h sopnamsp.h ppftpointerio.h \
+  ppersist.h pexceptions.h gnumd5.h ppfbinstream.h rawstream.h \
+  ppfnametag.h
 $(OBJ)rawstream.o: rawstream.cc sopnamsp.h rawstream.h \
   $(INC)machdefs.h pexceptions.h
Index: trunk/SophyaLib/HiStats/Makefile
===================================================================
--- trunk/SophyaLib/HiStats/Makefile	(revision 2702)
+++ trunk/SophyaLib/HiStats/Makefile	(revision 2703)
@@ -3,7 +3,7 @@
 all: $(LIB)libHiStats.a
 clean:
-	rm -f $(OBJ)basedtable.o $(OBJ)datatable.o $(OBJ)hisprof.o $(OBJ)histerr.o $(OBJ)histinit.o $(OBJ)histos.o $(OBJ)histos2.o $(OBJ)ntupintf.o $(OBJ)ntuple.o $(OBJ)proxtuple.o $(OBJ)xntuple.o
+	rm -f $(OBJ)basedtable.o $(OBJ)datatable.o $(OBJ)fio_dtable.o $(OBJ)hisprof.o $(OBJ)histerr.o $(OBJ)histinit.o $(OBJ)histos.o $(OBJ)histos2.o $(OBJ)ntupintf.o $(OBJ)ntuple.o $(OBJ)proxtuple.o $(OBJ)swppfdtable.o $(OBJ)xntuple.o
 	rm -f $(LIB)libHiStats.a
-$(LIB)libHiStats.a : $(OBJ)basedtable.o $(OBJ)datatable.o $(OBJ)hisprof.o $(OBJ)histerr.o $(OBJ)histinit.o $(OBJ)histos.o $(OBJ)histos2.o $(OBJ)ntupintf.o $(OBJ)ntuple.o $(OBJ)proxtuple.o $(OBJ)xntuple.o
+$(LIB)libHiStats.a : $(OBJ)basedtable.o $(OBJ)datatable.o $(OBJ)fio_dtable.o $(OBJ)hisprof.o $(OBJ)histerr.o $(OBJ)histinit.o $(OBJ)histos.o $(OBJ)histos2.o $(OBJ)ntupintf.o $(OBJ)ntuple.o $(OBJ)proxtuple.o $(OBJ)swppfdtable.o $(OBJ)xntuple.o
 	$(ARCXX) $(ARCXXFLAGS) $@ $($(ARARGS))
 ifeq ($(CXX),cxx)
@@ -42,4 +42,22 @@
   $(INC)fiosegdb.h \
   $(INC)ppftpointerio.h
+$(OBJ)fio_dtable.o: fio_dtable.cc datatable.h basedtable.h \
+  $(INC)machdefs.h ntupintf.h \
+  $(INC)dvlist.h \
+  $(INC)objfio.h \
+  $(INC)anydataobj.h \
+  $(INC)ppersist.h \
+  $(INC)pexceptions.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)mutyv.h \
+  $(INC)segdatablock.h swppfdtable.h \
+  $(INC)swsegdb.h \
+  $(INC)ppfswapper.h \
+  $(INC)ppftpointerio.h \
+  $(INC)sopnamsp.h \
+  $(INC)fiosegdb.h
 $(OBJ)hisprof.o: hisprof.cc $(INC)sopnamsp.h \
   $(INC)machdefs.h hisprof.h \
@@ -115,5 +133,8 @@
   $(INC)utilarr.h histos2.h hisprof.h histerr.h \
   ntuple.h ntupintf.h xntuple.h datatable.h basedtable.h \
-  $(INC)segdatablock.h
+  $(INC)segdatablock.h swppfdtable.h \
+  $(INC)swsegdb.h \
+  $(INC)ppfswapper.h \
+  $(INC)ppftpointerio.h
 $(OBJ)histos.o: histos.cc $(INC)sopnamsp.h \
   $(INC)machdefs.h histos.h \
@@ -191,4 +212,21 @@
   $(INC)dvlist.h \
   $(INC)mutyv.h
+$(OBJ)swppfdtable.o: swppfdtable.cc swppfdtable.h basedtable.h \
+  $(INC)machdefs.h ntupintf.h \
+  $(INC)dvlist.h \
+  $(INC)objfio.h \
+  $(INC)anydataobj.h \
+  $(INC)ppersist.h \
+  $(INC)pexceptions.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)mutyv.h \
+  $(INC)segdatablock.h \
+  $(INC)swsegdb.h \
+  $(INC)ppfswapper.h \
+  $(INC)ppftpointerio.h \
+  $(INC)sopnamsp.h
 $(OBJ)xntuple.o: xntuple.cc $(INC)sopnamsp.h \
   $(INC)ppersist.h \
Index: trunk/SophyaPI/PIext/exclude
===================================================================
--- trunk/SophyaPI/PIext/exclude	(revision 2702)
+++ trunk/SophyaPI/PIext/exclude	(revision 2703)
@@ -1,7 +1,5 @@
-nomtarradapter.cc
-nomtmatvecadapter.cc
-nomskymapadapter.cc
-nomspecrespadapter.cc
-pitvmaad.cc
 modrecst.cc
 userfitfunex.c
+nommatvecadapter.cc
+nomstladapter.cc
+pistlist.cc
